#!/bin/sh

set -e

case "$1" in
install|upgrade)
    if dpkg --compare-versions "$2" lt-nl 4.2.0~; then
	if [ -d /usr/share/powershell-empire/empire/server/data/obfuscated_module_source ]; then
		mv /usr/share/powershell-empire/empire/server/data/obfuscated_module_source /var/lib/powershell-empire/empire/server/data/obfuscated_module_source
	fi
	mkdir -p /var/lib/powershell-empire/empire/client
	if [ -d /usr/share/powershell-empire/empire/client/generated-stagers ]; then
		mv /usr/share/powershell-empire/empire/client/generated-stagers /var/lib/powershell-empire/empire/client/generated-stagers
	fi
    fi
    if dpkg --compare-versions "$2" lt-nl 4.4.0~; then
	if [ -d /usr/share/powershell-empire/empire/server/downloads ]; then
		mv /usr/share/powershell-empire/empire/server/downloads /var/lib/powershell-empire/empire/server/downloads
	fi
	if [ -d /usr/share/powershell-empire/empire/client/downloads ]; then
		mv /usr/share/powershell-empire/empire/client/downloads /var/lib/powershell-empire/empire/client/downloads
	fi
    fi
    ;;
esac

#DEBHELPER#
